### Function: GetAAInfo(spawn, type)

**Description:**
Returns AA info based on the type string.  The `type` string can be assigned_aa, unassigned_aa, assigned_tradeskill_aa, unassigned_tradeskill_aa, assigned_prestige_aa, unassigned_prestige_aa, assigned_tradeskill_prestige_aa and unassigned_tradeskill_prestige_aa.

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `type` (string) - String `type`.

**Returns:** If `type` is valid in the list, returns the SInt32 value of the AA field type.

**Example:**

Example Required
